- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libcdr::CDRClosePathElement Class Reference
Inheritance diagram for libcdr::CDRClosePathElement:

## Public Member Functions
| CDRClosePathElement ()
| ~CDRClosePathElement ()
void | writeOut (WPXPropertyListVector &vec) const
void | transform (const CDRTransform &trafo)
CDRPathElement * | clone ()
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Constructor & Destructor Documentation

libcdr::CDRClosePathElement::CDRClosePathElement | ( |  | ) |
| inline

libcdr::CDRClosePathElement::~CDRClosePathElement | ( |  | ) |
| inline

## Member Function Documentation

libcdr::CDRPathElement * libcdr::CDRClosePathElement::clone | ( |  | ) |
| virtual

Implements libcdr::CDRPathElement.

void libcdr::CDRClosePathElement::transform | ( | const CDRTransform & | trafo | ) |
| virtual

Implements libcdr::CDRPathElement.

void libcdr::CDRClosePathElement::writeOut | ( | WPXPropertyListVector & | vec | ) | const
| virtual

Implements libcdr::CDRPathElement.

The documentation for this class was generated from the following file:

- CDRPath.cpp